// Shared interface for the CoolRender (tm) interface
// COM tutorial by odin@nukesoftware.com
// Use as you please :)

// Include com API (IUnknown etc)
#include <objbase.h>

// Include possible render GUIDS + their construction macros
#include "RenderGUIDS.h"

// Render interface. Derives from IUnknown. (Don't be scared by interface. It's just a struct :)
interface ICoolRender : IUnknown
{
	// Our only function
	virtual void DoCool3DGame() = 0;
};
